﻿using System;
using System.Collections.Generic;
using GeoAPI.Geometries;

namespace Madart.OperationalUI.DataAccess.Models
{
    public partial class GravityVector
    {
        public int GravityVectorId { get; set; }
        public DateTime LastModified { get; set; }
        public double? SerialId { get; set; }
        public double? ClusterIndex { get; set; }
        public double? GridId { get; set; }
        public double? Latitude { get; set; }
        public double? Longitude { get; set; }
        public double? SpeedOverGround { get; set; }
        public double? CourseOverGround { get; set; }
        public double? Eta { get; set; }
        public double? EtalowerStd { get; set; }
        public double? EtaupperStd { get; set; }
        public double? DistanceMedian { get; set; }
        public double? MaxDistanceLeft { get; set; }
        public double? MaxDistanceRight { get; set; }
        public double? DistanceStdDevLeft { get; set; }
        public double? DistanceStdDevRight { get; set; }
        public double? MaxLesserSpeedDiff { get; set; }
        public double? MaxGreaterSpeedDiff { get; set; }
        public double? LesserSpeedStdDev { get; set; }
        public double? GreaterSpeedStdDev { get; set; }
        public double? MaxLesserCourseDiff { get; set; }
        public double? MaxGreaterCourseDiff { get; set; }
        public double? LesserCourseStdDev { get; set; }
        public double? GreaterCourseStdDev { get; set; }
        public double? DataCount { get; set; }
        public int? NormalRouteId { get; set; }
        public IGeometry PositionGeometry { get; set; }

        public virtual NormalRoute NormalRoute { get; set; }
    }
}
