﻿using System;
using System.Collections.Generic;
using GeoAPI.Geometries;

namespace Madart.OperationalUI.DataAccess.Models
{
    public partial class Location
    {
        public Location()
        {
            InverseLocatedInLocation = new HashSet<Location>();
        }

        public long LocationId { get; set; }
        public long? LocationTypeId { get; set; }
        public long? LocationSourceId { get; set; }
        public string LocationCode { get; set; }
        public int? LocationNo { get; set; }
        public string PostCode { get; set; }
        public string LocationNameNor { get; set; }
        public string LocationNameEng { get; set; }
        public long? LocatedInLocationId { get; set; }
        public long? CounciliD { get; set; }
        public long? CountryId { get; set; }
        public int? IsActive { get; set; }
        public int? IsFrequentlyUsed { get; set; }
        public int? IsVerified { get; set; }
        public int? IsInternal { get; set; }
        public IGeometry LocationGeometry { get; set; }
        public int? IsEligibleForSpecialPilotageFromTimeLockDeadline { get; set; }
        public string Description { get; set; }

        public virtual Country Country { get; set; }
        public virtual Location LocatedInLocation { get; set; }
        public virtual LocationType LocationType { get; set; }
        public virtual ICollection<Location> InverseLocatedInLocation { get; set; }
    }
}
