﻿using System;
using System.Collections.Generic;
using GeoAPI.Geometries;

namespace Madart.OperationalUI.DataAccess.Models
{
    public partial class NormalRoute
    {
        public NormalRoute()
        {
            GravityVector = new HashSet<GravityVector>();
            VesselState = new HashSet<VesselState>();
        }

        public int NormalRouteId { get; set; }
        public DateTime LastModified { get; set; }
        public int? FromLocationId { get; set; }
        public int? ToLocationId { get; set; }
        public bool? HighError { get; set; }
        public int? VoyageCount { get; set; }
        public IGeometry NormalRouteGeometry { get; set; }

        public virtual ICollection<GravityVector> GravityVector { get; set; }
        public virtual ICollection<VesselState> VesselState { get; set; }
    }
}
